Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.java4less.rchart
Interface ChartListener

All Known Implementing Classes:
  ChartAdapter, ChartCanvas, ChartCanvas, JChartPanel

public interface ChartListener

This interface will allow you to perform actions when the chart is painted, the chart ist clicked or updated.

Field Summary
`static int` | `EVENT_AFTER_UPDATE` chart has been updated.
`static int` | `EVENT_BEFORE_UPDATE` chart will be updated now.
`static int` | `EVENT_ENTER_POINT` mouse moves over a point in the series.
`static int` | `EVENT_LEAVE_POINT` No point selected any more.
`static int` | `EVENT_POINT_CLICKED` selected serie and value in the chart have been clicked
`static int` | `EVENT_TIP_UPDATE` this is used by RChart to notify that a new tip must be displayed (or hidden) since the mouse pointer moved over a point.

Method Summary
`void` | `chartEvent(Chart c, int type)` rchart notifies an event
`void` | `paintUserExit(Chart c, ChartGraphics g)` this method is called after the chart is painted.

Field Detail

### EVENT_BEFORE_UPDATE

    public static final int EVENT_BEFORE_UPDATE

  chart will be updated now. This is called every x seconds if you using the realtime update features.

  See Also:
    Constant Field Values

### EVENT_AFTER_UPDATE

    public static final int EVENT_AFTER_UPDATE

  chart has been updated. This is called every x seconds if you using the realtime update features. The listener should normally repaint the chart.

  See Also:
    Constant Field Values

### EVENT_ENTER_POINT

    public static final int EVENT_ENTER_POINT

  mouse moves over a point in the series. Listeners (chartViewers) tipically use this to change the cursor pointer.

  See Also:
    Constant Field Values

### EVENT_LEAVE_POINT

    public static final int EVENT_LEAVE_POINT

  No point selected any more. Listeners (chartViewers) tipically use this to change the cursor pointer.

  See Also:
    Constant Field Values

### EVENT_TIP_UPDATE

    public static final int EVENT_TIP_UPDATE

  this is used by RChart to notify that a new tip must be displayed (or hidden) since the mouse pointer moved over a point. The listener should normally repaint the chart.

  See Also:
    Constant Field Values

### EVENT_POINT_CLICKED

    public static final int EVENT_POINT_CLICKED

  selected serie and value in the chart have been clicked

  See Also:
    Constant Field Values

Method Detail

### paintUserExit

    public void paintUserExit(Chart c,
                              ChartGraphics g)

  this method is called after the chart is painted. You can use it to paint anything on the charts graphic context.

### chartEvent

    public void chartEvent(Chart c,
                           int type)

  rchart notifies an event

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD